# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.Descriptor.Registry

Packages that use IDifferenceGroupProvider.Descriptor.Registry
Package
Description
org.eclipse.emf.compare.rcp.ui
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Uses of IDifferenceGroupProvider.Descriptor.Registry in org.eclipse.emf.compare.rcp.ui

Methods in org.eclipse.emf.compare.rcp.ui that return IDifferenceGroupProvider.Descriptor.Registry
Modifier and Type
Method
Description
`IDifferenceGroupProvider.Descriptor.Registry`
EMFCompareRCPUIPlugin.`getDifferenceGroupProviderRegistry()`

## Uses of IDifferenceGroupProvider.Descriptor.Registry in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IDifferenceGroupProvider.Descriptor.Registry
Modifier
Constructor
Description
``
`GroupActionMenu(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor.Registry registry)`
Constructs our grouping menu.

## Uses of IDifferenceGroupProvider.Descriptor.Registry in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement IDifferenceGroupProvider.Descriptor.Registry
Modifier and Type
Class
Description
`class`
`DifferenceGroupRegistryImpl`
Implementation of the `IDifferenceGroupProvider.Descriptor.Registry`.